pointer.h File Reference
`#include <log4cplus/config.hxx>`
`#include <log4cplus/thread/syncprims.h>`
`#include <algorithm>`
`#include <cassert>`
`#include <atomic>`
Include dependency graph for pointer.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | log4cplus::helpers::SharedObject
class | log4cplus::helpers::SharedObjectPtr< T >

## Namespaces

namespace | log4cplus
namespace | log4cplus::helpers

## Functions

void | log4cplus::helpers::intrusive_ptr_add_ref (SharedObject const *so)
void | log4cplus::helpers::intrusive_ptr_release (SharedObject const *so)